libmsn: MSN::Soap Class Reference

libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | Static Public Attributes
MSN::Soap Class Reference

`#include <soap.h>`

Inheritance diagram for MSN::Soap:

List of all members.

## Classes
struct | OIMTAG
struct | sitesToAuthTAG
## Public Types
enum | memberRoles { ALLOW_LIST = 2, BLOCK_LIST = 4, REVERSE_LIST = 8, PENDING_LIST = 16 }
enum | soapAction { AUTH, GET_LISTS, GET_ADDRESS_BOOK, ADD_CONTACT_TO_LIST, DEL_CONTACT_FROM_LIST, ADD_CONTACT_TO_ADDRESSBOOK, DEL_CONTACT_FROM_ADDRESSBOOK, ENABLE_CONTACT_ON_ADDRESSBOOK, DISABLE_CONTACT_ON_ADDRESSBOOK, ADD_GROUP, DEL_GROUP, RENAME_GROUP, BLOCK_CONTACT, UNBLOCK_CONTACT, ADD_CONTACT_TO_GROUP, DEL_CONTACT_FROM_GROUP, UPDATE_GROUP, GENERATE_LOCKKEY, RETRIEVE_OIM_MAIL_DATA, RETRIEVE_OIM, DELETE_OIM, SEND_OIM, CHANGE_DISPLAYNAME }
typedef sitesToAuthTAG | sitesToAuth
typedef OIMTAG | OIM
## Public Member Functions
| Soap (NotificationServerConnection &_myNotificationServer)
| Soap (NotificationServerConnection &_myNotificationServer, std::vector< sitesToAuth > sitesToAuthList)
void | fillURLs ()
void | setMBI (std::string MBI)
void | requestSoapAction (soapAction action, std::string xml_body, std::string &xml_response)
void | getTickets (std::string Passport, std::string password, std::string policy)
void | parseGetTicketsResponse (std::string response)
void | getLists (ListSyncInfo *data)
void | parseGetListsResponse (std::string response)
void | getAddressBook (ListSyncInfo *info)
void | parseGetAddressBookResponse (std::string response)
void | getOIM (std::string id, bool markAsRead)
void | parseGetOIMResponse (std::string response)
void | deleteOIM (std::string id)
void | parseDeleteOIMResponse (std::string response)
void | getMailData ()
void | parseGetMailDataResponse (std::string response)
void | sendOIM (OIM oim, std::string lockkey)
void | parseSendOIMResponse (std::string response)
void | addContactToList (MSN::Passport passport, MSN::ContactList list)
void | parseAddContactToListResponse (std::string response)
void | addContactToAddressBook (std::string passport, std::string displayName)
void | parseAddContactToAddressBookResponse (std::string response)
void | delContactFromAddressBook (std::string contactId, std::string passport)
void | parseDelContactFromAddressBookResponse (std::string response)
void | enableContactOnAddressBook (std::string contactId, std::string passport, std::string myDisplayName)
void | parseEnableContactOnAddressBookResponse (std::string response)
void | disableContactFromAddressBook (std::string contactId, std::string passport)
void | parseDisableContactFromAddressBookResponse (std::string response)
void | addContactToGroup (std::string groupId, std::string contactId)
void | parseAddContactToGroupResponse (std::string response)
void | delContactFromGroup (std::string groupId, std::string contactId)
void | parseDelContactFromGroupResponse (std::string response)
void | removeContactFromList (MSN::Passport passport, MSN::ContactList list)
void | parseRemoveContactFromListResponse (std::string response)
void | addGroup (std::string groupName)
void | parseAddGroupResponse (std::string response)
void | delGroup (std::string groupId)
void | parseDelGroupResponse (std::string response)
void | renameGroup (std::string groupId, std::string newGroupName)
void | parseRenameGroupResponse (std::string response)
void | generateLockkey (OIM oim)
void | parseGenerateLockkeyResponse (std::string response)
void | changeDisplayName (std::string newDisplayName)
void | parseChangeDisplayNameResponse (std::string)
Soap * | manageSoapRedirect (XMLNode response1, soapAction action)
virtual void | dispatchCommand (std::vector< std::string > &)
virtual void | connect (const std::string &, unsigned int)
virtual void | disconnect ()
virtual void | sendMessage (const Message *)
virtual void | sendMessage (const std::string &)
virtual void | socketConnectionCompleted ()
virtual void | handleIncomingData ()
virtual NotificationServerConnection * | myNotificationServer ()
## Public Attributes
MSN::Soap::OIM | oim
std::string | body
std::string | ticket_token
std::string | lockkey
std::vector< sitesToAuth > | sitesToAuthList
## Static Public Attributes
static std::map< int, std::string > | actionDomains
static std::map< int, std::string > | actionPOSTURLs
static std::map< int, std::string > | actionURLs

## Detailed Description

Represents a Soap Connection made by NotificationServerConnection

## Member Function Documentation

virtual void MSN::Soap::connect | ( | const std::string & | hostname,
|  | unsigned | port
| ) |  | `[inline, virtual]`

Connect ourself to hostname on port.

Implements MSN::Connection.

virtual void MSN::Soap::dispatchCommand | ( | std::vector< std::string > & | args | ) | `[inline, virtual]`

Dispatch a command to its appropriate handler routines based on args.

Parameters:

  args | A vector of strings containing arguments, returned from readLine.

Implements MSN::Connection.

void MSN::Soap::socketConnectionCompleted | ( |  | ) | `[virtual]`

The connection has been established.

Reimplemented from MSN::Connection.

The documentation for this class was generated from the following files:

- /home/salem/libmsn/tags/libmsn-4.2/msn/soap.h
- /home/salem/libmsn/tags/libmsn-4.2/msn/soap.cpp

All Classes Namespaces Functions Variables Enumerations Enumerator